Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.ui
Class GeneratorUiPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.ui.plugin.AbstractUIPlugin
              com.ssaglobal.generator.ui.GeneratorUiPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class GeneratorUiPlugin

extends org.eclipse.ui.plugin.AbstractUIPlugin

The main plugin class to be used in the desktop.

Field Summary

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`GeneratorUiPlugin()` The constructor.

Method Summary
`static GeneratorUiPlugin` | `getDefault()` Returns the shared instance.
`TemplatePackagePreferences` | `getGeneratorPreferences(org.eclipse.ui.plugin.AbstractUIPlugin plugin, org.eclipse.emf.ecore.EObject object)`
`TemplatePackagePreferences` | `getGeneratorSettings(org.eclipse.ui.plugin.AbstractUIPlugin plugin, org.eclipse.emf.ecore.EObject object)`
`TemplatePackagePreferences` | `getPackagePreferences(org.eclipse.ui.plugin.AbstractUIPlugin plugin)`
`java.util.ResourceBundle` | `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` | `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`void` | `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` | `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin
`createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratorUiPlugin

    public GeneratorUiPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static GeneratorUiPlugin getDefault()

  Returns the shared instance.

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### getGeneratorPreferences

    public TemplatePackagePreferences getGeneratorPreferences(org.eclipse.ui.plugin.AbstractUIPlugin plugin,
                                                              org.eclipse.emf.ecore.EObject object)

### getPackagePreferences

    public TemplatePackagePreferences getPackagePreferences(org.eclipse.ui.plugin.AbstractUIPlugin plugin)

### getGeneratorSettings

    public TemplatePackagePreferences getGeneratorSettings(org.eclipse.ui.plugin.AbstractUIPlugin plugin,
                                                           org.eclipse.emf.ecore.EObject object)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD